Page MenuHomePhabricator

404 on workboard for an existing project (due to custom filter applied which did not exist in database)
Closed, ResolvedPublic

Description

The VisualEditor workboard is giving a 404: https://phabricator.wikimedia.org/project/board/483/

The project profile is fine: https://phabricator.wikimedia.org/project/profile/483/
As well as the workboard for the milestone: https://phabricator.wikimedia.org/project/view/3236/

This problem appears to be caused when a custom filter which does not exist in the database is applied as the default filter, but it's not known how that happens. The problem can usually be fixed by adding query/cXWUBtEYlPCo/ to the end of the board's URL (e.g. https://phabricator.wikimedia.org/project/board/483/query/cXWUBtEYlPCo/ for the VisualEditor board) and changing the default filter back to something else.

Event Timeline

Deskana created this task.Jul 10 2018, 11:24 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2018, 11:24 AM
Esanders triaged this task as High priority.Jul 10 2018, 1:10 PM
Aklapper updated the task description. (Show Details)Jul 10 2018, 2:42 PM
Deskana raised the priority of this task from High to Unbreak Now!.Jul 10 2018, 2:57 PM

I was hoping this was a transient issue, but it's been going on for hours now and it's preventing the team from doing their work, so I'm escalating the priority.

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptJul 10 2018, 2:57 PM

https://phabricator.wikimedia.org/project/board/483/manage/ shows it's enabled... let's try disabling and re-enabling to see if that helps things?

Krenair added a comment.EditedJul 10 2018, 6:39 PM

hm nope, https://phabricator.wikimedia.org/project/board/483/disable/ gives a 404 when you press the button (this shows in the JS console)

You can still view the list of tasks using task search: https://phabricator.wikimedia.org/maniphest/query/9WFEhfANhE6N/#R (note that it is paginated).

(Frankly, it seems more useful without the arbitrary columns…)

I fiddled a bit, tried reverting the sprint change earlier, no luck: https://phabricator.wikimedia.org/project/manage/483/#47174

Same here. No luck.

mmodell closed this task as Resolved.Jul 10 2018, 7:26 PM
mmodell claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 10 2018, 7:26 PM

Somehow a custom filter was applied but it didn't exist in the database, causing a 404. I'm going to look into changing the behavior when the filter cannot be found. A 404 isn't very helpful.

For reference, what was done was to go to https://phabricator.wikimedia.org/project/board/483/query/cXWUBtEYlPCo/ (that ID on the end can be reused on other projects it seems), set the filter to open tasks and then save that as the default filter.

Aklapper renamed this task from 404 on VisualEditor workboard to 404 on VisualEditor workboard (due to custom filter applied which did not exist in database).Jul 10 2018, 8:19 PM

Great. Thanks everyone!

Esanders reopened this task as Open.Aug 7 2018, 3:16 PM
Esanders added a subscriber: Esanders.

Unfortunately this is happening again...

Esanders lowered the priority of this task from Unbreak Now! to High.Aug 7 2018, 3:20 PM

For reference, what was done was to go to https://phabricator.wikimedia.org/project/board/483/query/cXWUBtEYlPCo/ (that ID on the end can be reused on other projects it seems), set the filter to open tasks and then save that as the default filter.

This fixed it again, but would be interesting to know why this keeps happening.

Indeed, I have no idea how/why this occurs.

Aklapper renamed this task from 404 on VisualEditor workboard (due to custom filter applied which did not exist in database) to 404 on workboard for an existing project (due to custom filter applied which did not exist in database).Aug 16 2018, 3:48 PM
Aklapper added subscribers: Niedzielski, ovasileva, Jdlrobson and 2 others.
Deskana updated the task description. (Show Details)Aug 16 2018, 4:33 PM

Indeed, I have no idea how/why this occurs.

@mmodell: This should show if someone changed the default filter view after 20180701 on one these two boards:

SELECT objectPHID, authorPHID, oldValue, newValue FROM project_transaction WHERE (objectPHID = "PHID-PROJ-zzvpaq4lhxoz4fx2ymwj" OR objectPHID = "PHID-PROJ-dafezmpv6huxg3taml24") AND transactionType = "project:filter" AND dateModified > 1530396000;

After a few weeks with no issues, this has happened three times in the past 48 hours on the VisualEditor workboard. It's not causing any seriously blocking issues at present because the workaround documented in the task description still works, but it is quite annoying.

This happened again on the VisualEditor workboard last Wednesday 5th September, during a sprint planning meeting.

This happened again for readers-web-backlog but the fix suggested worked.

There is an upstream task for this: https://secure.phabricator.com/T13208

Restricted Application added a project: Upstream. · View Herald TranscriptOct 1 2018, 9:38 PM
mmodell removed mmodell as the assignee of this task.Oct 18 2018, 5:13 PM
mmodell added a subscriber: mmodell.
Aklapper moved this task from Backlog to Patch proposed upstream on the Upstream board.

Fixed OOUI (noticed by @Volker_E)

User-Jdlrobson is also not working :/

greg added a subscriber: greg.Tue, Feb 12, 11:34 PM

User-Jdlrobson is also not working :/

For reference, what was done was to go to https://phabricator.wikimedia.org/project/board/483/query/cXWUBtEYlPCo/ (that ID on the end can be reused on other projects it seems), set the filter to open tasks and then save that as the default filter.

I did that ^ for User-Jdlrobson, should be fixed now.

Thanks @greg and noted hack for future!!

Krinkle removed a subscriber: Krinkle.Wed, Feb 13, 8:29 PM

I think this is fixed upstream and I'll be deploying it soon.

mmodell closed this task as Resolved.Thu, Feb 21, 11:49 AM
mmodell claimed this task.